Ticket #39701

インストーラでの圧縮設定の変更

Open Date: 2019-10-25 12:46 Last Update: 2019-12-09 09:55

Reporter:
Owner:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

インストーラの圧縮関連の設定を変更する事によってファイルサイズが小さくなる事が期待出来るので、以下の設定の変更を検討する。

  • ソリッド圧縮: Off -> On
  • 圧縮方式: デフォルト(lzma2/max) -> lzma2/ultra64

試験結果

およそ 1.5 MB 程度小さくなった。

注意点

  • ISTool が圧縮方式の lzma2 に対応していない為、teraterm.iss を直接編集する必要が有る。
  • 編集後は ISTool で設定を編集すると意図しない値に書き換えられる可能性が有る為、ISTool での編集後に確認が必要になる。 -> none になる為 ISTool での設定後は注意が必要。

参考

https://twitter.com/k_takata/status/1187519718778757121

Ticket History (3/5 Histories)

2019-10-25 12:46 Updated by: doda
  • New Ticket "インストーラでの圧縮設定の変更" created
2019-11-11 23:18 Updated by: doda
  • Details Updated
2019-11-21 20:36 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Fixed
Comment

r8379で変更。

2019-12-08 09:01 Updated by: None
2019-12-09 09:55 Updated by: doda
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login